Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events.exceptions
Class UnsupportedVersionException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.eclipse.hyades.logging.events.exceptions.UnsupportedVersionException

All Implemented Interfaces:
  java.io.Serializable

Deprecated. This class is deprecated as of 2004-05-17

public class UnsupportedVersionException
extends java.lang.Exception

This Common Base Event implementation version is not supported.

Since:
  1.0.1
Version:
  1.0.1
Author:
  Richard K. Duggan, Paul E. Slauenwhite
See Also:
  Serialized Form

Constructor Summary
`UnsupportedVersionException()` Deprecated. Public no-argument constructor which delegates to the super class' no-argument constructor.
`UnsupportedVersionException(java.lang.String message)` Deprecated. Public detail message constructor which delegates to the super class' detail message constructor.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnsupportedVersionException

    public UnsupportedVersionException()

  Deprecated.
  Public no-argument constructor which delegates to the super class' no-argument constructor.

### UnsupportedVersionException

    public UnsupportedVersionException(java.lang.String message)

  Deprecated.
  Public detail message constructor which delegates to the super class' detail message constructor.

Parameters:
  `message` - The specified detail message of the exception.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD